
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WPF案例 (六) 动态切换UI布局 / iVAN</title>

    <meta name="description" content="WPF案例 (六) 动态切换UI布局 原文:WPF案例 (六) 动态切换UI布局   这个Wpf示例对同一个界面支持以ListView或者CardView的布局方式呈现界面,使用控件ItemsControl绑定数据源,使用DataTemplate为ItemsControl分别预定义了ListView和CardView的样式,在程序运行时,可在这两种Layout之间互相切换,界面如下.源代码在这里下载    为ItemsControl定义ListView UI布局的ItemTemplate,并指定MouseOver时DataTempl">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WPF案例 (六) 动态切换UI布局</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/ddoo/archive/2010/09/08/1821503.html" rel="external nofollow noreferrer">WPF案例 (六) 动态切换UI布局</a><br />
<br /> 　这个Wpf示例对同一个界面支持以ListView或者CardView的布局方式呈现界面，使用控件ItemsControl绑定数据源，使用DataTemplate为ItemsControl分别预定义了ListView和CardView的样式，在程序运行时，可在这两种Layout之间互相切换，界面如下。源代码在<a href="http://files.cnblogs.com/5460600/MultiView.rar" rel="external nofollow noreferrer">这里</a>下载</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ183NTM4OTY0NzM3NGQ3ZTVkMDA5YWRkNDJmZDFhMjA0ZC5qcGc=.jpg"> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ19lZjdmMTA3NTA2ZTI2ZmI1N2VlZWNjOTM0Yjg2NjY3Ni5qcGc=.jpg"></p>
<p>　为ItemsControl定义ListView UI布局的ItemTemplate，并指定MouseOver时DataTemplate的样式</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg">ListView布局和样式</p>
<p> 1  &lt;DataTemplate x:Key="listViewDataTemplate"&gt;<br /> 2             &lt;Border x:Name="listViewBorder" BorderThickness="0,0,0,1" Height="25"<br /> 3 　　　　　　　　 BorderBrush="{StaticResource cardViewBackgroundBrush}" HorizontalAlignment="Stretch"&gt;<br /> 4                 &lt;StackPanel Orientation="Horizontal" HorizontalAlignment="Stretch"&gt;<br /> 5                     &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=BedNo}" <br /> 6 　　　　　　　　　　　TextWrapping="Wrap" Margin="1,0,5,0" Width="20" FontSize="12" Foreground="Black" /&gt;<br /> 7                     &lt;TextBlock Text="{Binding Path=Name}" Grid.Row="0" Grid.Column="1" <br /> 8 　　　　　　　　　　　TextWrapping="Wrap" Margin="1,0,5,0"  VerticalAlignment="Top" Foreground="Black"  FontSize="12" /&gt;<br /> 9                     &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=Sex}" <br />10 　　　　　　　　　　　　TextWrapping="Wrap"  Margin="1,0,5,0" FontSize="12" Foreground="Black"/&gt;<br />11                     &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=BirthDay}" <br />12 　　　　　　　　　　　　　TextWrapping="Wrap" Margin="1,0,5,0" FontSize="12" Foreground="Black"/&gt;<br />13                     &lt;TextBlock Text="{Binding Path=Address}" TextWrapping="Wrap"<br />14 　　　　　　　　　　　　　　 Margin="1,0,5,0" FontSize="12" Foreground="Black"  VerticalAlignment="Top"/&gt;<br />15                     &lt;TextBlock  Text="{Binding Path=City}" TextWrapping="Wrap" <br />16 　　　　　　　　　　　　　　　Margin="1,0,5,0" FontSize="12" Foreground="Black"  VerticalAlignment="Top"/&gt;<br />17                     &lt;TextBlock Text="{Binding Path=PostCode}" TextWrapping="Wrap"<br />18 　　　　　　　　　　　　　　　 Margin="1,0,5,0" FontSize="12" Foreground="Black"  VerticalAlignment="Top" HorizontalAlignment="Stretch"/&gt;<br />19                     &lt;TextBlock  Text="{Binding Path=HomePhoneNumber}" TextWrapping="Wrap"<br />20 　　　　　　　　　　　　　　　 Margin="1,0,5,0" FontSize="12" Foreground="Black"  VerticalAlignment="Top"/&gt;    <br />21                 &lt;/StackPanel&gt;<br />22             &lt;/Border&gt;<br />23             &lt;DataTemplate.Triggers&gt;<br />24                 &lt;Trigger Property="IsMouseOver" Value="True"&gt;<br />25                     &lt;Setter Property="Background"  TargetName="listViewBorder" Value="{StaticResource cardViewBackgroundBrush}"/&gt;<br />26                 &lt;/Trigger&gt;<br />27             &lt;/DataTemplate.Triggers&gt;<br />28 &lt;/DataTemplate&gt;</p>
<p> 　为ItemsControl定义CardView UI布局的ItemTemplate,同时定义MouseOver时DataTemplate的样式</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg">CardView布局和样式</p>
<p> 1 &lt;DataTemplate x:Key="cardViewDataTemplate" &gt;<br /> 2             &lt;Border x:Name="card1" Background="Transparent" BorderBrush="Transparent" <br /> 3 　　　　　　　　　　　BorderThickness="1" CornerRadius="10" Margin="10"&gt;<br /> 4                 &lt;Grid Margin="0,0,0,0" HorizontalAlignment="Center" VerticalAlignment="Center" <br /> 5 　　　　　　　　　　　　　　　　　　ShowGridLines="False" x:Name="card" &gt;<br /> 6                     &lt;Grid.RowDefinitions&gt;<br /> 7                         &lt;RowDefinition Height="32"/&gt;<br /> 8                         &lt;RowDefinition Height="68"/&gt;<br /> 9                         &lt;RowDefinition Height="20"/&gt;<br />10                         &lt;RowDefinition Height="20"/&gt;<br />11                         &lt;RowDefinition Height="20"/&gt;<br />12                         &lt;RowDefinition Height="20"/&gt;<br />13                         &lt;RowDefinition Height="5"/&gt;<br />14                     &lt;/Grid.RowDefinitions&gt;<br />15                     &lt;Grid.ColumnDefinitions&gt;<br />16                         &lt;ColumnDefinition Width="100" /&gt;<br />17                         &lt;ColumnDefinition Width="*"/&gt;<br />18                     &lt;/Grid.ColumnDefinitions&gt;<br />19                     &lt;Border x:Name="cardBorder" HorizontalAlignment="Stretch" <br />20 　　　　　　　　　　　　　　　VerticalAlignment="Stretch" Width="Auto" Height="Auto" Grid.Row="0" <br />21 　　　　　　　　　　　　　　　Grid.Column="0" Grid.ColumnSpan="2" Grid.RowSpan="7"  <br />22 　　　　　　　　　　　　　　　Background="{StaticResource cardViewBackgroundBrush}" BorderBrush="LightGray"  <br />23 　　　　　　　　　　　　　　　BorderThickness="1" Margin="0,1,0,1" CornerRadius="0,0,8,8"/&gt;<br />24                     &lt;Border  x:Name="cardTitle" HorizontalAlignment="Stretch" VerticalAlignment="Top"  <br />25 　　　　　　　　　　　　　　Grid.Row="0" Grid.Column="0" Grid.ColumnSpan="2" Width="Auto" Height="32" <br />26 　　　　　　　　　　　　　　BorderBrush="{x:Null}" BorderThickness="0,0,0,0"  CornerRadius="0,0,0,0"&gt;<br />27                         &lt;Border.Background&gt;<br />28                              &lt;ImageBrush ImageSource="Images\cardTitle.jpg"/&gt;<br />29                         &lt;/Border.Background&gt;<br />30                     &lt;/Border&gt;<br />31                     &lt;Border HorizontalAlignment="Left" Grid.Row="0" Grid.Column="0" Grid.RowSpan="2" <br />32 　　　　　　　　　　　　　　Width="80" Margin="9" Height="80" VerticalAlignment="Top" &gt;<br />33                         &lt;Border.BitmapEffect&gt;<br />34                             &lt;DropShadowBitmapEffect Direction="316" Color="#FFA9A9A9" ShadowDepth="7" Softness="0.075"/&gt;<br />35                         &lt;/Border.BitmapEffect&gt;<br />36                         &lt;Image Width="Auto" Height="Auto" Source="Images\Image.gif" Stretch="Fill"<br />37 　　　　　　　　　　　　　　　　 StretchDirection="DownOnly" HorizontalAlignment="Stretch" VerticalAlignment="Top"/&gt;<br />38                     &lt;/Border&gt;<br />39                     &lt;StackPanel Orientation="Vertical" Grid.Row="1" Grid.Column="1" Margin="1"&gt;<br />40                         &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=BedNo}" <br />41 　　　　　　　　　　　　　　　　TextWrapping="Wrap" Margin="1" FontSize="14" Foreground="Black" /&gt;<br />42                             &lt;Path HorizontalAlignment="Left" Margin="1" VerticalAlignment="Top" Width="176"<br />43 　　　　　　　　　　　　　　 Height="3" Fill="Black" Stretch="Fill" Stroke="Black" StrokeThickness="2" <br />44 　　　　　　　　　　　　　　　　　　　　　Data="M202,79 C412,78 413,78 413,78" /&gt;<br />45                             &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=Sex}" TextWrapping="Wrap"<br />46 　　　　　　　　　　　　　　　　　 Margin="1" FontSize="12" Foreground="Black"/&gt;<br />47                             &lt;TextBlock VerticalAlignment="Top" Text="{Binding Path=BirthDay}" TextWrapping="Wrap" <br />48 　　　　　　　　　　　　　　　　　　Margin="1" FontSize="12" Foreground="Black"/&gt;<br />49                         &lt;/StackPanel&gt;<br />50                          &lt;TextBlock Text="{Binding Path=Name}" Grid.Row="0" Grid.Column="1" TextWrapping="Wrap"<br />51 　　　　　　　　　　　　　　　 Margin="2,0,0,0" VerticalAlignment="Center" Height="22" Foreground="Black" FontWeight="Bold" FontSize="16" /&gt;<br />52                        &lt;StackPanel Orientation="Horizontal" Grid.Row="2" Grid.Column="0" Grid.ColumnSpan="2" Margin="1"&gt;<br />53                              &lt;TextBlock Text="家庭住址:" TextWrapping="Wrap" Margin="5,0,0,0" FontSize="12" Foreground="Black"   　　　　　　　　　　　　　　　　　　　　　　　　　　　　　HorizontalAlignment="Left" VerticalAlignment="Top"/&gt;<br />54                              &lt;TextBlock Text="{Binding Path=Address}" TextWrapping="Wrap" Margin="1" FontSize="12" <br />55 　　　　　　　　　　　　　　　　　　　　　　　　　Foreground="Black"  VerticalAlignment="Top"/&gt;<br />56                         &lt;/StackPanel&gt;<br />57                         &lt;StackPanel Orientation="Horizontal"  Grid.Row="3" Grid.Column="0" Grid.ColumnSpan="2" Margin="1"&gt;<br />58                             &lt;TextBlock Text="城市: " TextWrapping="Wrap" Margin="5,0,0,0" FontSize="12" <br />59 　　　　　　　　　　　　　　　　　　Foreground="Black" HorizontalAlignment="Left"   VerticalAlignment="Top"/&gt;<br />60                              &lt;TextBlock  Text="{Binding Path=City}" TextWrapping="Wrap" Margin="1" <br />61 　　　　　　　　　　　　　　　　　　　　　　　FontSize="12" Foreground="Black"  VerticalAlignment="Top"/&gt;<br />62                         &lt;/StackPanel&gt;<br />63                         &lt;StackPanel Orientation="Horizontal"  Grid.Row="4" Grid.Column="0" Grid.ColumnSpan="2" Margin="1"&gt;<br />64                             &lt;TextBlock Text="邮编: " TextWrapping="Wrap" Margin="5,0,0,0" FontSize="12" <br />65 　　　　　　　　　　　　　　　　　　　Foreground="Black" HorizontalAlignment="Left"   VerticalAlignment="Top"/&gt;<br />66                              &lt;TextBlock Text="{Binding Path=PostCode}" TextWrapping="Wrap" Margin="1" FontSize="12"<br />67 　　　　　　　　　　　　　　　　　 Foreground="Black"  VerticalAlignment="Top" HorizontalAlignment="Stretch"/&gt;<br />68                         &lt;/StackPanel&gt;<br />69                          &lt;StackPanel Orientation="Horizontal"  Grid.Row="5" Grid.Column="0" Grid.ColumnSpan="2" Margin="1"&gt;<br />70                             &lt;TextBlock Text="家庭电话: " TextWrapping="Wrap" Margin="5,0,0,0" FontSize="12" <br />71 　　　　　　　　　　　　　　　Foreground="Black" HorizontalAlignment="Left"  VerticalAlignment="Top"/&gt;<br />72                             &lt;TextBlock  Text="{Binding Path=HomePhoneNumber}" TextWrapping="Wrap" Margin="1"<br />73 　　　　　　　　　　　　　　　　　　　　　　　 FontSize="12" Foreground="Black"  VerticalAlignment="Top"/&gt;    <br />74                          &lt;/StackPanel&gt;<br />75                     &lt;/Grid&gt;<br />76             &lt;/Border&gt;<br />77             &lt;DataTemplate.Triggers&gt;<br />78                 &lt;Trigger Property="IsMouseOver" Value="True"&gt;<br />79                     &lt;Setter Property="Background"  TargetName="cardBorder" <br />80 　　　　　　　　　　　　　　　Value="{StaticResource cardViewMouseOverBackgroundBrush}"/&gt;<br />81                 &lt;/Trigger&gt;<br />82             &lt;/DataTemplate.Triggers&gt;<br />83  &lt;/DataTemplate&gt;</p>
<p> 　定义运行时在ListView和CardView两种布局间切换的事件</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ18xYzUzNjY4YmNlZTM5M2VkYWMwZDdiM2IzZGFmZjFhZS5naWY=.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2ltZ180MDViMThiNGI2NTg0YWUzMzhlMGY2ZWNhZjczNjUzMy5naWY=.jpg">切换UI布局</p>
<p> 1  private void ViewMode_SelectionChanged(object sender, SelectionChangedEventArgs e)<br /> 2         {<br /> 3             if (!Selector.GetIsSelectionActive(this.ViewMode))<br /> 4                 return;<br /> 5             if (ViewMode.SelectedIndex == 0)<br /> 6             {<br /> 7                 this.itemsControl.ClearValue(ItemsControl.StyleProperty);<br /> 8                 this.itemsControl.ItemTemplate = <br /> 9                 this.FindResource("listViewDataTemplate") as DataTemplate;<br />10             }<br />11             else<br />12             {<br />13                 this.itemsControl.ItemTemplate = <br />14                this.FindResource("cardViewDataTemplate") as DataTemplate;<br />15                 this.itemsControl.Style = this.FindResource("cardViewStyle") as Style;<br />16             }<br />17         }</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:35:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.iamivan.net/tag/path/" title="path">path</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WPF案例 (六) 动态切换UI布局的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQ3q0z.html" rel="bookmark">WPF案例（－）模拟Windows7 Win&plus;Tab切换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:WPF案例(-)模拟Windows7 Win+Tab切换     一个使用Wpf模拟Windows7 Win+Tab页面切换的小程序,使用快捷键Ctrl+Down或Ctrl+Up在示例程序各个页面元素之间滑动导航,在本例中,使用Viewport2DVisual3D宿主二维控件,在这里为方便示例,二维控件仅简单的使用了一个Image,以下是界面缩略图,有兴趣的朋友可以下载源码       在建立本示例中的三维场景时,使用了Viewport3D,PerspectiveCamera,Ambien			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7Yn2z.html" rel="bookmark">android-安卓开发 如何在代码中动态切换fragment加载的布局文件？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓开发 如何在代码中动态切换fragment加载的布局文件? viewpager和fragment一起用的时候,比如有啊,吧,a,b,c,三页,一开始显示的是a,我想当用户滑到b和c时先显示的是一个loding的圆环进度条,之后再显示这个fragment的内容,请问应该如何做? 解决方案 上面说的是fragment之间的切换,你这个问题直接用view.setVisibility()方法控制进度条隐藏或显示就好了,也可以吧进度条放在Dialog或pupopWindow等当中控制show			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0R4rPz.html" rel="bookmark">Android-Frame布局，UI布局切换，录音，照相机，影音播放器，音频播放器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;FrameLayout anroid:layout_weight=&quot;1&quot;&gt;          &lt;ImageView android:scaleType=&quot;fitCenter&quot;/&gt;          //没有标题栏 requestWindowFeature(Window.FEATURE_NO_TITLE);   //全屏显示(隐藏掉状态栏) //在setContentView之前调用getWindow().addFlages(WindowMa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWxNaz.html" rel="bookmark">如何在wpf中动态切换controltemplate？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在wpf中动态切换controltemplate? RT 我想实现一个自定义树形控件,想动态切换controltemplate,比如有多个controltemplate,可以动态加载.这种思路可行吗?如果可行该如何实现呢?谢谢~~ 解决方案 MVVM开发的话,通过Style的Tiggers来做,添加DataTrigger,绑定ViewModel的一个属性,改变属性值就可以达到切换模板的目的了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKj8vz.html" rel="bookmark">使用Fragment来处理Andoird app的UI布局的实例分享&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Fragment 的出现一方面是为了缓解 Activity 任务过重的问题,另一方面是为了处理在不同屏幕上 UI 组件的布局问题,而且它还提供了一些新的特性(例如 Retainable)来处理一些在 Activity 中比较棘手的问题.Fragment 拥有和 Activity 一致的生命周期,它和 Activity 一样被定义为 Controller 层的类.有过中大型项目开发经验的开发者,应该都会遇到过 Activity 过于臃肿的情况,而 Fragment 的出现就是为了缓解这一状况,可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqRlEp.html" rel="bookmark">Core Animation一些Demo总结 （动态切换图片、大转盘、图片折叠、进度条等动画效果）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前一篇总结了Core Animation的一些基础知识,这一篇主要是Core Animation 的一些应用,涉及到CAShapeLayer.CAReplicatorLayer等图层的知识. 先看效果图: 1.切换图片: 2.彩票转盘 3.图片折叠 4.进度条旋转 5.粒子效果 一.切换图片 看起来很复杂的动画,通过少量的计算和编码就可以简单的实现.要做到这一步,必须是需要研究iOS开发中的Core Animation和Core Graphics框架的.日常工作中,对于很多东西不求甚解,只是拿过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M62aPLM.html" rel="bookmark">&lbrack;WPF疑难&rsqb;在WPF中显示动态GIF</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们寻求帮助的时候,最不愿意听到的答复是:很抱歉,在当前版本的产品中还没有实现该功能... 在WPF中显示动态的GIF图像时便遇到了这样的问题,WPF中强大的Image控件却不支持动态的GIF(其只能显示第一帧).当然,我们可以说WPF强大的动画能力,让我们完全有理由抛弃传统的GIF动画,但如某种情况下如果你觉得使用动态的GIF更合适的话(比如QQ表情,因为GIF是利于保存和传输的),没关系,本篇随笔将帮助你解决这个问题. 1,曾有过的尝试: 我们在实际开发过程中也遇到显示动态GIF的问题.发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwL6EOb.html" rel="bookmark">Android实现动态切换组件背景的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文所述的程序实现的功能为在软件中动态的选择组件背景,系统皮肤,自定义吐司背景等. 为实现这一要求,就需要用到安卓中的SharedPrefence的功能,首先在设置里面写一个控件,设置一个点击监听器,点击的时候显示一个Alert选择弹窗,让你进行选择,对这个弹窗再设置一个点击监听器(onItemListener),点击到具体某个的时候,把对应的点击id保存到sahredprefence里面去,这样,其他地方就可以从这里取得设置里选择的值,进行动态个性化处理. 具体代码如下: 1.设置选择的操作:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjDLrp.html" rel="bookmark">android-如何动态加载布局控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何动态加载布局控件 通过解析json,然后通过case判断加载不同的控件,如何该实现呢,求大神帮助 解决方案 使用惰性控件ViewStub实现布局动态加载使用惰性控件ViewStub实现布局动态加载使用惰性控件ViewStub实现布局动态加载---------------------- 解决方案二: jsonobject解析后,判断呗,然后就该创建啥就创建啥,可以利用反射,把创建什么也可以放到json里 解决方案三: 这个~~我也在问同样的问题 解决方案四: 这个~~我也在问同样的问			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLa10z.html" rel="bookmark" class="title">数据库范式1NF 2NF 3NF BCNF</a>
					<div>
						(转自:http://www.itisedu.com/phrase/200604241410105.html) 设计范式(范式,数据库设计范式,数据库的设计范式)是符合某一种级别的关系模式的集合.构造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvxkWz.html" rel="bookmark" class="title">产品经理需要做的事到底有哪些？</a>
					<div>
						文章描述:作为产品经理,你到底该做些什么? 何明璐的回答 : 在战略层面需要考虑的内容 1.产品的定位(理解市场,细分市场,了解用户) 2.品牌的战略(经营品牌就是经营产品,品牌的价值往往反映了产品的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAZ7Xp.html" rel="bookmark" class="title">枚举类型的用法</a>
					<div>
						C# 语言规范 14.3 枚举成员枚举类型声明的体用于定义零个或多个枚举成员,这些成员是该枚举类型的命名常数.任意两个枚举成员不能具有相同的名称. enum-member-declarations:( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP17Wz.html" rel="bookmark" class="title">Maya粒子制作碰撞效果</a>
					<div>
						创建被关联粒子的模型和创建碰撞物体的模型,推荐使用这个附件模型,当然也可以用平面作碰撞物体用圆锥作粒子物体文件. 首先如图1建立一个模型. 仿照下面的图制作发射器,创建一个omni emission. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAav4AM.html" rel="bookmark" class="title">Ruby语言快速入门</a>
					<div>
						介绍 这是一个短小的Ruby入门,完全读完只需20分钟.这里假设读者已经安装了Ruby,如果你没有安装的话,请在阅读文前访问Ruby官方网站进行下载并安装. 交互式的Ruby 打开IRB(交互式Rub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXB5jjb.html" rel="bookmark" class="title">你可能错过的东西：&period;NET 3&period;5 SP1中的JIT增强</a>
					<div>
						一个主要的影响就是内联函数(Inlining Function)调用.之前,JIT对内联方法的处理非常保守,Vance Morrison解释了个中缘由, 它对内联的处理并不是很好.内联总是减少指令执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrElkp.html" rel="bookmark" class="title">搜狗输入法怎么关闭模糊音</a>
					<div>
						  搜狗输入法怎么关闭模糊音           我的普通话很标准,每次输入都会在候选中给我出现很奇怪的东西! 您很有可能是开启了模糊音功能,在输入法的状态栏中单击右键,选择设置属性,点击高级选项,进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PDxjM.html" rel="bookmark" class="title">photoshop置换滤镜的使用实例介绍</a>
					<div>
						photoshop作为图片处理工具的佼佼者,今天小编教大家photoshop置换滤镜的使用,教程真的很不错,很值得大家学习,来看看吧! 方法/步骤 如图所示,我们点击箭头所指的photoshop软件图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R7xdp.html" rel="bookmark" class="title">PS合成教你创建《我是歌手》总决赛的宣传海报</a>
					<div>
						  效果图: 效果图. 1. 首先我们需要抠一个头,此处省略怎么抠. 不会抠图的同学右戳:&lt;从菜鸟到高手!PHOTOSHOP抠图全方位攻略&gt; 2. 然后我们要新建一个图层,然后在脖子的部位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaW0vM.html" rel="bookmark" class="title">2345智能浏览器怎么安装卸载</a>
					<div>
						安装: (1) 您可以访问2345智能浏览器官网下载页http://ie.2345.com/download.htm 获取最新版本. (2) 下载完成后双击安装包图标运行安装程序.安装过程:阅读并同意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwGXKb.html" rel="bookmark" class="title">win8怎么共享文件？</a>
					<div>
						  1.按键盘上[WIN+E]快捷键,进入我的电脑,然后找到您要共享的文件夹.点击鼠标右键选择[共享]--[高级共享] 2.进入共享属性后选择[高级共享]---勾选[共享此文件夹]---点击[权限]检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWAaAp.html" rel="bookmark" class="title">电脑无法升级BIOS怎么办</a>
					<div>
						问:我的电脑配置的是Abit主板,看到官方网站提供了新版BIOS程序,现在想对其升级,但是在用Awdflash及纯DOS环境下升级时,提示:disk write protect error,无法成功升 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Z7Db.html" rel="bookmark" class="title">迅雷快传已用空间超总空间怎么办</a>
					<div>
						  迅雷快传已用空间超总空间,用户可以通过积分扩容空间,或主动删除旧文件来降低已用空间.在这种情况下,用户将无法对资源继续续期操作,同时也无法上传新资源.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3owgNb.html" rel="bookmark" class="title">iOS中 蓝牙2&period;0详解&sol;ios蓝牙设备详解</a>
					<div>
						版权声明:本文为博主原创文章,未经博主允许不得转载. 每日更新关注:http://weibo.com/hanjunqiang  新浪微博 整体布局如下:     程序结构如右图: 每日更新关注:htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNdqYz.html" rel="bookmark" class="title">万网云虚拟主机免费疯抢中</a>
					<div>
						一向比较优质的域名,主机提供商今日推出了一款免费云虚拟主机,很多熟悉万网的用户都应该知道此前万网一款深受到广大博主欢迎的低端虚拟主机X3.不过随着这款免费云虚拟主机的推出X3已被官方下架. 相比之前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVWnOb.html" rel="bookmark" class="title">GUI Builder用户界面的模板生成器</a>
					<div>
						GUI Builder 是一款用来创建 WebElement 用户界面(WUI)的模板生成器,能根据用户的要求来生成C语言源代码的工具,也可以作为一个WEP响应程序的基础.它简化了应用程序的设计过程, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6L47z.html" rel="bookmark" class="title">互联网&OpenCurlyDoubleQuote;变得更安全了&rdquo;只是一种错觉</a>
					<div>
						从上周末.准确地说是5月12号开始,&quot;比特币勒索病毒&quot;WannaCry(或称WannaCrypt.WannaCrypt0r)席卷全球. 一旦计算机被这种病毒感染,电脑中所有文件会被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRGgdb.html" rel="bookmark" class="title">java 实现RSS 会的进来帮忙</a>
					<div>
						问题描述 我想把我的网站的新闻,让别人可以订阅,请问用什么东西可以实现??什么框架?什么技术.请帮忙下.有什么文档可以推荐下谢谢大家					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmJN1b.html" rel="bookmark" class="title">序列化-protobuf SerializePartialToArray ByteSize</a>
					<div>
						问题描述 protobuf SerializePartialToArray ByteSize protobuf 有没有函数可以既SerializePartialToArray又得到ByteSize而不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl4Pnp.html" rel="bookmark" class="title">数据挖掘与数据化运营实战&period; 3&period;1　目标客户的特征分析</a>
					<div>
						3.1 目标客户的特征分析 目标客户的特征分析几乎是数据化运营企业实践中最普遍.频率最高的业务分析需求之一,原因在于数据化运营的第一步(最基础的步骤)就是要找准你的目标客户.目标受众,然后才是相应的运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AraZz.html" rel="bookmark" class="title">天猫总裁张勇否认辞职传闻</a>
					<div>
						张勇微博 新浪科技讯 4月5日下午消息,针对今日传出的离职消息,天猫总裁张勇(微博)刚刚在微博上予以明确否认. 今日下午有消息称,天猫总裁张勇因个人原因辞去http://www.aliyun.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ2LOp.html" rel="bookmark" class="title">联想集团与博康开启战略合作 大数据分析助力公安行业应用</a>
					<div>
						ZDNet至顶网服务器频道 06月20日 新闻消息:近日,联想集团与博康智能网络科技股份有限公司(以下简称:博康)在上海签署战略合作备忘录.根据协议,双方将利用各自领域的技术优势,采用BOX+的模式( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye1JkM.html" rel="bookmark" class="title">导航自适应问题，求解求解</a>
					<div>
						问题描述 导航自适应问题,求解求解 我在网页中做的导航是定位的,所以在不同屏幕分辨率的打开情况下就会出现乱层现象,请问可以既用定位导航,又能保证自适应分辨率么,怎么实现? 解决方案 响应式布局使用bo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoq98M.html" rel="bookmark" class="title">鼎好电子城筹建新在线商城百万重金买域名</a>
					<div>
						计世网12日消息 (焦集瑩) 为了在互联网时代获得更大竞争优势,鼎好电子城近期正在秘密筹建新的在线商城网站,并且为此已经斥百万巨资购买了一个全新的域名,近期即将上线. 据悉鼎好电子城相关人士透露,鼎好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBx1Bz.html" rel="bookmark" class="title">关于EntityFramework中继承类的导航属性</a>
					<div>
						问题描述 在entityframework中有两个实体类a,b,这两个类在数据库中都有对应的表,其中b继承a,其中b类中没有主键,b对应的数据表中的主键映射到a类的主键字段上.在b中有一个导航属性c( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwKymM.html" rel="bookmark" class="title">UCenter安装篇：Windows 环境搭建推荐教程</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一.系统约定 环境软件下载后存放位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeow6wM.html" rel="bookmark" class="title">安装不上应用了-编写的软件安装不上虚拟机！出现了以下代码！！！</a>
					<div>
						问题描述 编写的软件安装不上虚拟机!出现了以下代码!!! 以前编写的应用都能安装上,就这次不行了,换了好几个虚拟机都不行!求大神解答! 解决方案 缺少库,部署失败,看看版本是否兼容,库是否都部署了.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoEoOM.html" rel="bookmark" class="title">OX163下载器打造本地图片库 随时随心欣赏</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   OX163 - 新版网易相册下载利器.OX163 不仅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N32xp.html" rel="bookmark" class="title">香江漫话：&OpenCurlyDoubleQuote;嫩模&rdquo;周秀娜登大雅之堂引争议</a>
					<div>
						香港科技大学十月七日晚间邀到近来成为话题人物的二十四岁香港性感&quot;嫩模&quot;周秀娜出席&quot;解读周秀娜现象&quot;讲座.图为担任主讲嘉宾的岭南大学文化研究系教授李小良与周秀娜回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj82n6p.html" rel="bookmark" class="title">WordPress实现退出登录后跳转到指定页面</a>
					<div>
						这个问题也很好解决,将下面的php代码放到当前主题的functions.php中即可:  代码如下 复制代码 add_filter('logout_url', 'ludou_logout_redire ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
